<template>
    <select
        v-model="ctx.model"
        :type="type"
        v-bind="attributes"
        v-on="$listeners"
        class="InputSelect">
        <slot></slot>
    </select>
</template>

<script>
import VumikInputMixin from '../VumikInputMixin'

export default {
  name: 'VumikInputSelect',
  mixins: [VumikInputMixin]
}
</script>

<style lang="postcss" scoped>
.InputSelect {
    @apply shadow-sm focus:ring-yellow-500 focus:border-yellow-500 block w-full border-gray-300 rounded-md;
}

@screen sm {
    .InputSelect {
        @apply text-sm;
    }
}
</style>
